Skip to content
cascadehook.docs
API referenceAPI keys

Read API key metadata

Query parameters are rejected. Does not return the complete credential.

GET
/v1/api-keys/{api_key_id}

Query parameters are rejected. Does not return the complete credential.

Authorization

projectAPIKey
headerAuthorizationBearer <ch_dev_ or ch_live_ project API key>

Read CASCADEHOOK_API_KEY from the local environment. Never print keys or headers. Scope is the project selected when the key was created.

Path Parameters

api_key_id*string
Formatuuid

Response Body

Read API key metadata

application/json
  1. response
id*string
Formatuuid
project_id*string
Formatuuid
name*string
prefix*string
environment*string
Value in"dev""live"
status*string
Value in"active""expired""revoked"
created_at*string
Formatdate-time
expires_at*|
Formatdate-time
revoked_at*|
Formatdate-time
revokes_at*|
Formatdate-time
rotated_to_id*|
Formatuuid
created_by_api_key_id*|
Formatuuid
revoked_by_api_key_id*|
Formatuuid
created_by_user_id*|
Formatuuid
revoked_by_user_id*|
Formatuuid
Example Request
curl -X GET 'https://api.cascadehook.com/v1/api-keys/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",  "name": "string",  "prefix": "string",  "environment": "dev",  "status": "active",  "created_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "revoked_at": "2019-08-24T14:15:22Z",  "revokes_at": "2019-08-24T14:15:22Z",  "rotated_to_id": "d8c8cef8-46b3-4daa-a787-79dc60305000",  "created_by_api_key_id": "16a8c1ea-aaaf-49f0-9266-c657c48ceff3",  "revoked_by_api_key_id": "3555c307-5cc9-4766-a644-97d41de57b76",  "created_by_user_id": "209f54c4-4c33-43bc-9c6a-ef4c65ad7473",  "revoked_by_user_id": "476f4cfa-afa8-454d-aad0-b6469f18e9fa"}